[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Problem with xemacs21-mule-canna-wnn (21.1.12-2) in woody

When I upgrade potato to woody, everything seems ok except for 
xemacs21-mule-canna-wnn. The error message is as follows,
Setting up xemacs21-mule-canna-wnn (21.1.12-2) ...
emacs-install xemacs21
emacsen-common: Handling install of emacsen flavor xemacs21
emacsen-common: byte-compiling for xemacs21
Language environment not defined: "Chinese"
xemacs exiting.
emacs-install: /usr/lib/emacsen-common/packages/install/emacsen-common xemacs21 emacs20 failed at /usr/lib/emacsen-common/emacs-install line 28.
dpkg: error processing xemacs21-mule-canna-wnn (--configure):
 subprocess post-installation script returned error exit status 29
dpkg: dependency problems prevent configuration of xemacs21:
 xemacs21 depends on xemacs21-mule (= 21.1.12-2) | xemacs21-mule-canna-wnn (= 21.1.12-2) | xemacs21-nomule (= 21.1.12-2); however:
  Package xemacs21-mule is not installed.
  Package xemacs21-mule-canna-wnn is not configured yet.
  Package xemacs21-nomule is not installed.
dpkg: error processing xemacs21 (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
E: Sub-process /usr/bin/dpkg returned an error code (1)
Some errors occurred while unpacking. I'm going to configure the
packages that were installed. This may result in duplicate errors
or errors caused by missing dependencies. This is OK, only the errors
above this message are important. Please fix them and run [I]nstall again
Press enter to continue.

The line 28 of /usr/lib/emacsen-common/emacs-install is
die "emacs-$action: " . join(" ", @cmd) . " failed";

What should I do to fix it? Thanks.


Reply to: